Get Pique Campaign video performance data
curl --request GET \
--url https://api.ubpass.co/v1/pique-campaign/{id}/video-performance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ubpass.co/v1/pique-campaign/{id}/video-performance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ubpass.co/v1/pique-campaign/{id}/video-performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "1f089d37-6145-6709-af59-99631cec7ab5",
"createdTime": "2025-09-04T21:09:36.063Z",
"updatedTime": "2025-09-04T21:09:36.063Z",
"createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5",
"campaignId": "1f089d37-5ebe-6778-af59-99631cec7ab5",
"platform": "TikTok",
"videoURL": "https://tiktok.com/@creator/video/123",
"creatorHandle": "@fashioncreator",
"views": 150000,
"likes": 12000,
"shares": 800,
"comments": 450,
"saves": 2100,
"datePosted": "2024-01-15",
"deliveredViews": 45000,
"startViews": 90000,
"startLikes": 7800,
"startComments": 292,
"startShares": 480,
"startSaves": 1470
},
{
"id": "1f089d37-6145-6709-af59-99631cec7ab6",
"createdTime": "2025-09-04T21:09:36.063Z",
"updatedTime": "2025-09-04T21:09:36.063Z",
"createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5",
"campaignId": "1f089d37-5ebe-6778-af59-99631cec7ab5",
"platform": "Instagram",
"videoURL": "https://instagram.com/p/ABC123",
"creatorHandle": "@lifestyleblogger",
"views": 85000,
"likes": 6500,
"shares": 320,
"comments": 180,
"saves": 1200,
"datePosted": "2024-01-16",
"deliveredViews": 25500,
"startViews": 51000,
"startLikes": 4225,
"startComments": 117,
"startShares": 192,
"startSaves": 840
}
],
"cursor": "1f089d37-6145-6709-af59-99631cec7ab6",
"hasMore": true
}{
"txId": "Root=1-68d3693c-26a3db2278c7668f5e086711",
"timestamp": "24-09-2025 03:45:00",
"errorCode": "UNAUTHORIZED",
"errorMessage": "UNAUTHORIZED."
}{
"txId": "Root=1-68d30006-614205915f11c2e02dc1dcd3",
"timestamp": "23-09-2025 08:16:06",
"errorCode": "NOT_FOUND",
"errorMessage": "Not found.",
"context": {
"id": "1f061c3e-ed45-60e0-884d-85e4657e9d601"
}
}Pique
Get Pique Campaign video performance data
Retrieve video performance metrics for a specific Pique Campaign.
GET
/
pique-campaign
/
{id}
/
video-performance
Get Pique Campaign video performance data
Authorizations
AccessTokenAPIKey
Bearer token authentication
Headers
Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user
Pattern:
^[a-zA-Z0-9-_]+$Path Parameters
Unique identifier of the Pique Campaign
Pattern:
^[a-zA-Z0-9-_]+$Query Parameters
Pagination cursor for fetching the next set of performance records. Use the 'cursor' value from the previous response.
Number of performance records to return per page (1-20, max 20)
Required range:
1 <= x <= 20⌘I